---
- hosts: kube-master[0]
  roles:
    - kubesphere-defaults
    - { role: plugins/LocalVolume, when: "local_volume_enabled == true" }
    - { role: plugins/QingCloud-CSI, when: "qingcloud_csi_enabled is defined and qingcloud_csi_enabled == true" }
    - { role: plugins/NeonSAN-CSI, when: "neonsan_csi_enabled is defined and neonsan_csi_enabled == true" }
    - { role: plugins/GlusterFS, when: "glusterfs_provisioner_enabled == true" }
    - { role: plugins/CephRBD, when: "ceph_rbd_enabled == true" }
    - { role: plugins/NFS-Client, when: "nfs_client_enabled == true" }
    - { role: plugins/qingcloud_controller_manager, when: "qingcloud_lb_enabled is defined and qingcloud_lb_enabled == true" }